

;-| Super Motions |--------------------------------------------------------
[Command]
name =  "cyclone"
command = ~D,F,D,F,x
time = 35

[Command]
name =  "cycloney"
command = ~D,F,D,F,y
time = 35

[Command]
name =  "tigerstrike"
command = ~D,F,D,F,a
time = 35
;-| Special Motions |------------------------------------------------------

[Command]
name =  "hurricane"
command = ~D,F,x
time = 20

[Command]
name = "hurricaney"
command = ~D,F,y
time = 20

[Command]
name = "slash"
command = ~D,B,a
time = 20

[Command]
name = "slashb"
command = ~D,B,b
time = 20


[Command]
name = "tigerknee"
command = ~F,D,DF,a
time = 20

[Command]
name = "tigerkneeb"
command = ~F,D,DF,b
time = 20

[Command]
name = "machinegun"
command = x, x, x
time = 20

[Command]
name = "machineguny"
command = y, y, y
time = 20

[Command]
name = "ender"
command = ~D,DF,F, y
time = 25

[Command]
name = "ender2"
command = ~D,DF,F, x
time = 25

[Command]
name = "ender3"
command = ~D,DF,F, a
time = 25

[Command]
name = "overhead"
command = ~F, a
time = 11

;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF";Required (do not remove)
command = F, F
time = 13

[Command]
name = "BB";Required (do not remove)
command = B, B
time = 13

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery";Required (do not remove)
command = a+b
time = 1

[Command]
name = "ab"
command = a+b
time = 1

[Command]
name = "y+b"
command = y+b
time = 1

[Command]
name = "x+a"
command = x+a
time = 1

;-| Dir + Button |---------------------------------------------------------
[Command]
name = "fwd_a"
command = /F,a
time = 1

[Command]
name = "fwd_b"
command = /F,b
time = 1

[Command]
name = "fwd_c"
command = /F,c
time = 1

[Command]
name = "fwd_x"
command = /F,x
time = 1

[Command]
name = "fwd_y"
command = /F,y
time = 1

[Command]
name = "fwd_z"
command = /F,z
time = 1

[Command]
name = "back_a"
command = /B,a
time = 1

[Command]
name = "back_b"
command = /B,b
time = 1

[Command]
name = "back_c"
command = /B,c
time = 1

[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1

[Command]
name = "down_c"
command = /$D,c
time = 1

[Command]
name = "fwd_ab"
command = /F, a+b
time = 1

[Command]
name = "back_ab"
command = /B, a+b
time = 1

[Command]
name = "downfwd_y"
command = /DF, y
time = 1
;-| Single Button |---------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup";Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1

[Command]
name = "holddownforward";Required (do not remove)
command = /DF
time = 1
;---------------------------------------------------------------------------
; 2. State entry
; --------------
; This is where you define what commands bring you to what states.
;
; Each state entry block looks like:
;   [State -1]                  ;Don't change this
;   type = ChangeState          ;Don't change this
;   value = new_state_number
;   trigger1 = command = "command_name"
;   . . .  (any additional triggers)
;
; - new_state_number is the number of the state to change to
; - command_name is the name of the command (from the section above)
; - Useful triggers to know:
;   - statetype
;       S, C or A : current state-type of player (stand, crouch, air)
;   - ctrl
;       0 or 1 : 1 if player has control. Unless "interrupting" another
;                move, you'll want ctrl = 1
;   - stateno
;       number of state player is in - useful for "move interrupts"
;   - movecontact
;       0 or 1 : 1 if player's last attack touched the opponent
;                useful for "move interrupts"
;
; Note: The order of state entry is important.
;   State entry with a certain command must come before another state
;   entry with a command that is the subset of the first.  
;   For example, command "fwd_a" must be listed before "a", and
;   "fwd_ab" should come before both of the others.
;
; For reference on triggers, see CNS documentation.
;
; Just for your information (skip if you're not interested):
; This part is an extension of the CNS. "State -1" is a special state
; that is executed once every game-tick, regardless of what other state
; you are in. 


; Don't remove the following line. It's required by the CMD standard.
[Statedef -1]

;===========================================================================
;---------------------------------------------------------------------------
;RunFwd
[State -1]
type = null;ChangeState
value = 100
trigger1 = command = "FF"
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;RunBack
[State -1]
type = ChangeState
value = 105
trigger1 = command = "BB"
trigger1 = statetype = S && ctrl = 1

;
;crawling
[State -1]
type = ChangeState
value = 3
trigger1 = command = "holddown" && command = "holdfwd"
triggerall = stateno != 3
trigger1 = statetype = C
trigger1 = ctrl
;--------------------------------------
[State -1]
type = ChangeState
value = 3000
triggerall = command = "cyclone"
triggerall = power > 1000
trigger1 = statetype != A && ctrl
trigger2 = stateno = 215
trigger2 = movecontact = 1
trigger3 = stateno = 210
trigger3 = movecontact = 1
trigger4 = stateno = 410
trigger4 = movecontact = 1
trigger5 = stateno = 430
trigger5 = movecontact = 1
trigger6 = stateno = 230
trigger6 = movecontact = 1
;----------------------
[State -1]
type = ChangeState
value = 3005
triggerall = command = "cycloney"
triggerall = power > 2999
trigger1 = statetype != A && ctrl
trigger2 = stateno = 215
trigger2 = movecontact = 1
trigger3 = stateno = 210
trigger3 = movecontact = 1
trigger4 = stateno = 410
trigger4 = movecontact = 1
trigger5 = stateno = 430
trigger5 = movecontact = 1
trigger6 = stateno = 230
trigger6 = movecontact = 1

;-----------------------------
[State -1]
type = ChangeState
value = 3100
triggerall = command = "tigerstrike"
triggerall = power > 2000
trigger1 = statetype != A && ctrl
trigger2 = stateno = 215
trigger2 = movecontact = 1
trigger3 = stateno = 210
trigger3 = movecontact = 1
trigger4 = stateno = 410
trigger4 = movecontact = 1
trigger5 = stateno = 430
trigger5 = movecontact = 1
trigger6 = stateno = 230
trigger6 = movecontact = 1
;-----specials------------
[State -1]
type = ChangeState
value = 1000
triggerall = command = "hurricane"
triggerall = numproj = 0
trigger1 = statetype != A && ctrl
trigger2 = stateno = 215
trigger2 = movecontact = 1
trigger3 = stateno = 210
trigger3 = movecontact = 1
trigger4 = stateno = 410
trigger4 = movecontact = 1
trigger5 = stateno = 430
trigger5 = movecontact = 1
trigger6 = stateno = 230
trigger6 = movecontact = 1
trigger7 = stateno = 217
trigger7 = movecontact = 1
trigger8 = stateno = 218
trigger8 = movecontact = 1
;
[State -1]
type = ChangeState
value = 1005
triggerall = command = "hurricaney"
trigger1 = statetype != A && ctrl
triggerall = numproj = 0
trigger2 = stateno = 215
trigger2 = movecontact = 1
trigger3 = stateno = 210
trigger3 = movecontact = 1
trigger4 = stateno = 410
trigger4 = movecontact = 1
trigger5 = stateno = 430
trigger5 = movecontact = 1
trigger6 = stateno = 230
trigger6 = movecontact = 1
trigger7 = stateno = 217
trigger7 = movecontact = 1
trigger8 = stateno = 218
trigger8 = movecontact = 1
;

;
[State -1]
type = ChangeState
value = 1200
triggerall = command = "slash"
trigger1 = statetype != A && ctrl
trigger2 = stateno = 215
trigger2 = movecontact = 1
trigger3 = stateno = 210
trigger3 = movecontact = 1
trigger4 = stateno = 410
trigger4 = movecontact = 1
trigger5 = stateno = 430
trigger5 = movecontact = 1
trigger6 = stateno = 230
trigger6 = movecontact = 1
trigger7 = stateno = 217
trigger7 = movecontact = 1
trigger8 = stateno = 218
trigger8 = movecontact = 1
;---
[State -1]
type = ChangeState
value = 1210
triggerall = command = "slashb"
trigger1 = statetype != A && ctrl
trigger2 = stateno = 215
trigger2 = movecontact = 1
trigger3 = stateno = 210
trigger3 = movecontact = 1
trigger4 = stateno = 410
trigger4 = movecontact = 1
trigger5 = stateno = 430
trigger5 = movecontact = 1
trigger6 = stateno = 230
trigger6 = movecontact = 1
trigger7 = stateno = 217
trigger7 = movecontact = 1
trigger8 = stateno = 218
trigger8 = movecontact = 1
;
[State -1]
type = ChangeState
value = 1100
triggerall = command = "tigerknee"
trigger1 = statetype != A && ctrl
trigger2 = stateno = 215
trigger2 = movecontact = 1
trigger3 = stateno = 210
trigger3 = movecontact = 1
trigger4 = stateno = 410
trigger4 = movecontact = 1
trigger5 = stateno = 430
trigger5 = movecontact = 1
trigger6 = stateno = 230
trigger6 = movecontact = 1
trigger7 = stateno = 217
trigger7 = movecontact = 1
trigger8 = stateno = 218
trigger8 = movecontact = 1
;
[State -1]
type = ChangeState
value = 1120
triggerall = command = "tigerkneeb"
trigger1 = statetype != A && ctrl
trigger2 = stateno = 215
trigger2 = movecontact = 1
trigger3 = stateno = 210
trigger3 = movecontact = 1
trigger4 = stateno = 410
trigger4 = movecontact = 1
trigger5 = stateno = 430
trigger5 = movecontact = 1
trigger6 = stateno = 230
trigger6 = movecontact = 1
trigger7 = stateno = 217
trigger7 = movecontact = 1
trigger8 = stateno = 218
trigger8 = movecontact = 1
;
;
[State -1]
type = ChangeState
value = 1300
triggerall = command = "machinegun"
trigger1 = statetype != A && ctrl
trigger2 = stateno = 215
trigger2 = movecontact = 1
trigger3 = stateno = 210
trigger3 = movecontact = 1
trigger4 = stateno = 410
trigger4 = movecontact = 1
trigger5 = stateno = 430
trigger5 = movecontact = 1
trigger6 = stateno = 230
trigger6 = movecontact = 1
trigger7 = stateno = 217
trigger7 = movecontact = 1
trigger8 = stateno = 218
trigger8 = movecontact = 1
;

;
[State -1]
type = ChangeState
value = 1305
triggerall = command = "machineguny"
trigger1 = statetype != A && ctrl
trigger2 = stateno = 215
trigger2 = movecontact = 1
trigger3 = stateno = 210
trigger3 = movecontact = 1
trigger4 = stateno = 410
trigger4 = movecontact = 1
trigger5 = stateno = 430
trigger5 = movecontact = 1
trigger6 = stateno = 230
trigger6 = movecontact = 1
trigger7 = stateno = 217
trigger7 = movecontact = 1
trigger8 = stateno = 218
trigger8 = movecontact = 1
;
;-----------------------
[State -1]
type = ChangeState
value = 1310
triggerall = command = "ender"
triggerall = stateno = 1305
trigger1 = statetype != A && ctrl

;-------------
[State -1]
type = ChangeState
value = 1310
triggerall = command = "ender2"
triggerall = stateno = 1315
trigger1 = statetype != A && ctrl
;
[State -1]
type = null;ChangeState
value = 1317
triggerall = command = "ender3"
triggerall = stateno = 1315
trigger1 = statetype != A && ctrl
;---
[State -1]
type = ChangeState
value = 440
triggerall = command = "overhead"
trigger1 = statetype = S
trigger1 = ctrl = 1
;---------------------------------------------------------------------------
Throw (B/AB)
[State -1]
type = ChangeState
value = 900
triggerall = (command = "holdfwd" || command = "holdback") && (command = "y" || command = "y" || command = "y" || command = "y")
triggerall = statetype = S
triggerall = ctrl
triggerall = stateno != 100
triggerall = p2bodydist X < 10
trigger1 = p2statetype = S || p2statetype = C
trigger1 = p2movetype != H

;--------------------------------
;Taunt
;--------------------------------
[State -1, Taunt]
type = ChangeState
value = 195
triggerall = command = "start"
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;Air_Throw1 
[State -1]
type = ChangeState
value = 950
triggerall = statetype = A
triggerall = ctrl = 1
triggerall = p2bodydist X < 9
triggerall = p2bodydist Y > -22
triggerall = p2bodydist Y < 22
triggerall = p2statetype = A
triggerall = p2movetype != H
trigger1 = command = "fwd_b"
trigger2 = command = "back_b"


;===========================================================================
;---------------------------------------------------------------------------

;Stand_Z
[State -1]
type = ChangeState
value = 215
triggerall = command = "y+b"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl = 1
;--------------------------------
;close x
;--------------------------------
[State -1]
type = ChangeState
value = 205
triggerall = Command = "x"
triggerall = Command != "holddown"
triggerall = P2BodyDist X < 20
trigger1 = (Statetype = S) && ctrl

;--------------------------------
;close y
;--------------------------------
[State -1]
type = ChangeState
value = 215
triggerall = Command = "y"
triggerall = Command != "holddown"
triggerall = P2BodyDist X < 25 
trigger1 = (Statetype = S) && ctrl
trigger2 = stateno = 240
trigger2 = movecontact = 1


;--------------------------------
;Close a
;--------------------------------
[State -1]
type = ChangeState
value = 225
triggerall = Command = "a"
triggerall = Command != "holddown"
triggerall = P2BodyDist X < 25
trigger1 = (Statetype = S) && ctrl

;--------------------------------
;Close b
;--------------------------------
[State -1]
type = ChangeState
value = 235
triggerall = Command = "b"
triggerall = Command != "holddown"
triggerall = P2BodyDist X < 25
trigger1 = (Statetype = S) && ctrl
trigger2 = stateno = 260
trigger2 = movecontact = 1

;Stand_x
[State -1]
type = ChangeState
value = 200
triggerall = command = "x";Place name of command here
triggerall = command != "holddown";Standing moves should have this line
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Stand_y
[State -1]
type = ChangeState
value = 210
triggerall = command = "y"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Stand_a
[State -1]
type = ChangeState
value = 220
triggerall = command = "a"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl = 1
;--------------------------------------------------------------------------
;Stand_b
[State -1]
type = ChangeState
value = 230
triggerall = command = "b"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl = 1


;-----------------------------------------------------------------------------
;Crouch_x
[State -1]
type = ChangeState
value = 400
triggerall = command = "x"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Crouch_y
[State -1]
type = ChangeState
value = 410
triggerall = command = "y"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl = 1
trigger2 = stateno = 420
trigger2 = movecontact = 1
;------------------------
[State -1]
type = ChangeState
value = 217
triggerall = command = "holdfwd"
triggerall = command = "holddown"
triggerall = command = "y"
trigger1 = statetype != C && ctrl = 1
trigger2 = stateno = 100
trigger3 = MoveContact
trigger3 = stateno = 205 || stateno = 215 || stateno = 225 || stateno = 235 || stateno = [400,430]
trigger4 = MoveContact
trigger4 = stateno = 300 || stateno = 360
trigger5 = statetype != S && ctrl = 1
;-------------------------------
[State -1]
type = ChangeState
value = 218
triggerall = command = "holdfwd"
triggerall = command = "holddown"
triggerall = command = "y"
triggerall = stateno = 3
trigger1 = statetype != C && ctrl = 1
;---------------------------------------------------------------------------
;Crouch_a
[State -1]
type = ChangeState
value = 420
triggerall = command = "a"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl = 1

;--------------------------------------------------------------------------
;Crouch_b
[State -1]
type = ChangeState
value = 430
triggerall = command = "b"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl = 1
;------------------------------

;--------------------------------
;neutral jump lightkick
;--------------------------------
[State -1]
type = ChangeState
value = 625
triggerall = Command = "a"
triggerall = Vel X = 0
trigger1 = (Statetype = A) && ctrl

;--------------------------------
;neutral jump hardkick
;--------------------------------
[State -1]
type = ChangeState
value = 635
triggerall = Command = "b"
triggerall = Vel X = 0
trigger1 = (Statetype = A) && ctrl

;--------------------------------------------------------------------------
;Jump_x
[State -1]
type = ChangeState
value = 600
trigger1 = command = "x"
trigger1 = statetype = A
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Jump_y
[State -1]
type = ChangeState
value = 610
trigger1 = command = "y"
trigger1 = statetype = A
trigger1 = ctrl = 1
;--------------------------------------------------------------------------
;Jump_a
[State -1]
type = ChangeState
value = 620
trigger1 = command = "a"
trigger1 = statetype = A
trigger1 = ctrl = 1
;--------------------------------------------------------------------------
;Jump_b
[State -1]
type = ChangeState
value = 630
trigger1 = command = "b"
trigger1 = statetype = A
trigger1 = ctrl = 1

;--------------------------------------------------------------------------
[State -1]
type = ChangeState
value = 615
triggerall = Command = "y"
triggerall = Vel X = 0
trigger1 = (Statetype = A) && ctrl
;-----------------------------
[State -1]
type = ChangeState
value = 600
triggerall = Command = "b"
triggerall = Vel X = 0
trigger1 = (Statetype = A) && ctrl




























